dropbear(8)

NAME
dropbear - lightweight SSH2 server

SYNOPSIS
dropbear [-FEmwsgjki] [-b banner] [-d dsskey] [-r rsakey] [-p port]

DESCRIPTION
dropbear is a SSH 2 server designed to be small enough to be used in small memory environments, while still being functional and secure enough for general use.

OPTIONS

-b banner
    bannerfile. Display the contents of the file banner before user login (default: none).

-d dsskey
    dsskeyfile. Use the contents of the file dsskey for the dss host key (default: /etc/dropbear/dropbear_dss_host_key). This file is generated with dropbearkey(8).

-r rsakey
    rsakeyfile. Use the contents of the file rsakey for the rsa host key (default: /etc/dropbear/dropbear_rsa_host_key). This file is generated with dropbearkey(8).

-F  Don't fork into background.

-E  Log to standard error rather than syslog.

-m  Don't display the message of the day on login.

-w  Disallow root logins.

-s  Disable password logins.

-g  Disable password logins for root.

-j  Disable local port forwarding.

-k  Disable remote port forwarding.

-p port
    Listen on specified tcp port port; up to 10 can be specified (default 22 if none specified).

-i  Service program mode. Use this option to run dropbear under TCP/IP servers like inetd, tcpsvd, or tcpserver. In program mode the -F option is implied, and -p options are ignored.

AUTHOR
Matt Johnston (matt@ucc.asn.au).
Gerrit Pape (pape@smarden.org) wrote this manual page.

SEE ALSO
dropbearkey(8), dbclient(1)

http://matt.ucc.asn.au/dropbear/dropbear.html